DT-GETNAME(1)

NAME
dt-getname - command-line test program for the val_getnameinfo() function

SYNOPSIS
   dt-getname [options] address

DESCRIPTION
This utility is a command-line wrapper around the val_getnameinfo() function. It invokes the val_getnameinfo() function with the given command-line arguments and displays the returned host and service information for the given node name, with a validation status value.

The exit status for this program is 1 if the answer received is trusted, 2 if the answer received is validated, and -1 for an error. The program returns 0 if no validation was performed or if the result was neither trusted nor validated. The trusted and validated status values are obtained using the val_istrusted() and val_isvalidated() functions from libval(3).

OPTIONS

-p, --port
    Use the supplied port. If a port is specified, service information is not looked up.

-F  Use the NI_NOFQDN flag.

-H  Use the NI_NUMERICHOST flag.

-N  Use the NI_NAMEREQD flag.

-S  Use the NI_NUMERICSERV flag.

-D  Use the NI_DGRAM flag.

-o, --output=<debug-level>:<dest-type>[:<dest-options>]
    <debug-level> is 1-7, corresponding to syslog levels ALERT-DEBUG <dest-type> is one of file, net, syslog, stderr, stdout <dest-options> depends on <dest-type>
        file:<file-name> (opened in append mode)
        net[:<host-name>:<host-port>] (127.0.0.1:1053
        syslog[:facility] (0-23 (default 1 USER))

-h, --help
    Display the help and exit.

PRE-REQUISITES
libval

COPYRIGHT
Copyright 2005-2013 SPARTA, Inc. All rights reserved. See the COPYING file included with the DNSSEC-Tools package for details.

AUTHORS
Abhijit Hayatnagarkar, Suresh Krishnaswamy, Robert Story, Michael Baer

SEE ALSO
val_getnameinfo(3)

libval(3)

http://www.dnssec-tools.org